ResourcesBlacklists

Create a Blacklist Rule

Create a new blacklist rule for your store.

POST
/v1/blacklists

Authorization

bearerAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://sell.app/api/v1/blacklists" \  -H "Content-Type: application/json" \  -d '{    "type": "WILDCARD_EMAIL",    "data": "@yahoo.com",    "description": "This email domain is dangerous"  }'
{
  "data": {
    "id": 1,
    "type": "WILDCARD_EMAIL",
    "data": "@yahoo.com",
    "description": "This email domain is dangerous",
    "created_at": "2022-12-12T12:12:12.000000Z",
    "updated_at": "2022-12-12T12:12:12.000000Z",
    "store_id": 1
  }
}
{
  "message": "Unauthenticated."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}